petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsCreate

Creates an empty options database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsCreate(PetscOptions *options)

Logically collective

### Output Parameter

options -Options database object

Developer Note: We may want eventually to pass a MPI_Comm to determine the ownership of the object

### See Also

PetscOptionsDestroy(), PetscOptionsPush(), PetscOptionsPop(), PetscOptionsInsert(), PetscOptionsSetValue()

### Level

advanced

### Location

src/sys/objects/options.c

### Examples

src/sys/examples/tutorials/ex19.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages